package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.campaigninfo;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Author xy6er
 * Date 23.01.15
 */
public class GetCampaignManagerResponse {

    @JsonProperty("cid")
    private Long cid;

    @JsonProperty("manager")
    private ManagerInfo manager;

    @JsonProperty("ag_manager")
    private ManagerInfo agManager;

    public Long getCid() {
        return cid;
    }

    public void setCid(Long cid) {
        this.cid = cid;
    }

    public ManagerInfo getManager() {
        return manager;
    }

    public void setManager(ManagerInfo manager) {
        this.manager = manager;
    }

    public ManagerInfo getAgManager() {
        return agManager;
    }

    public void setAgManager(ManagerInfo agManager) {
        this.agManager = agManager;
    }

    public static class ManagerInfo {

        @JsonProperty("uid")
        private Long uid;

        @JsonProperty("email")
        private String email;

        @JsonProperty("login")
        private String login;

        @JsonProperty("fio")
        private String fio;

        public Long getUid() {
            return uid;
        }

        public void setUid(Long uid) {
            this.uid = uid;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getLogin() {
            return login;
        }

        public void setLogin(String login) {
            this.login = login;
        }

        public String getFio() {
            return fio;
        }

        public void setFio(String fio) {
            this.fio = fio;
        }
    }

}
